org.apache.solr.client.solrj.impl

## Class LBHttpSolrClient.Rsp

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBHttpSolrClient.Rsp

Enclosing class:
  LBHttpSolrClient

    public static class LBHttpSolrClient.Rsp
    extends Object

### Field Summary

Fields
`protected NamedList<Object>` `rsp`
`protected String` `server`

### Constructor Summary

Constructors
Constructor and Description
`Rsp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<Object>` `getResponse()` The response from the server
`String` `getServer()` The server that returned the response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### server

    protected String server

#### rsp

    protected NamedList<Object> rsp

### Constructor Detail

#### Rsp

    public Rsp()

### Method Detail

#### getResponse

    public NamedList<Object> getResponse()

The response from the server

#### getServer

    public String getServer()

The server that returned the response